Retrieve Approved API Tokens

This endpoint allows you to list the tokens approved for a given SIN/Private key.

Facades: public, merchant

Note

Merchants need to save the API tokens generated with the POST /tokens and not have an automatic call to this endpoint to retrieve approved API tokens prior to other calls, like creating an invoice.

Response

Name Type
data
array of JSON objects listing the various tokens approved per facade, for the queried SIN.
array
Headers
string
required
Defaults to 2.0.0

Must be set to 2.0.0 for requests to the BitPay API

string
required

The hexadecimal public key generated from the client private key. This header is optional for this endpoint when using the public facade, and required when using a merchant facade token.

string
required

The ECDSA signature of the full request URL concatenated with the request body, signed with your private key. This header is optional for this endpoint when using the public facade, and required when using a merchant facade token.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json